Bug 14951 - System.Text.Encoding for ISO-2022-JP is broken
Summary: System.Text.Encoding for ISO-2022-JP is broken
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: mscorlib (show other bugs)
Version: 3.2.x
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-09-24 07:39 UTC by Jeffrey Stedfast
Modified: 2013-09-25 10:13 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jeffrey Stedfast 2013-09-24 07:39:13 UTC
Here's a simple test case:

string text = Encoding.GetEncoding ("iso-2022-jp").GetString (Convert.FromBase64String ("GyRAOjRGI0stGyhK"));

expected results: "佐藤豊"

actual results: "$@:4F#K-"
Comment 1 Atsushi Eno 2013-09-25 05:38:42 UTC
Fixed. [master 20716c5]
Comment 2 Jeffrey Stedfast 2013-09-25 10:13:56 UTC
Awesome, dude! Thanks!